%define defperlver 5.6.0
%define perlver %(rpm -q perl --queryformat '%%{version}' 2> /dev/null || echo %{defperlver})
%define perlmajor %(echo %{perlver} | cut -f1 -d.)
%define contentdir /home/httpd/

Summary: An embedded Perl interpreter for the Apache Web server.
Name: mod_perl
Version: 1.24
Release: 1.3.0
Group: System Environment/Daemons
Source0: ftp://ftp.cpan.org/pub/CPAN/modules/by-module/Apache/%{name}-%{version}.tar.gz
Patch0: %{name}-1.22-rh.patch
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
Requires: webserver, perl = %{perlver}
BuildPrereq: apache-devel, perl
Prereq: perl

%description
Mod_perl incorporates a Perl interpreter into the Apache web server,
so that the Apache web server can directly execute Perl code.
Mod_perl links the Perl runtime library into the Apache web server and
provides an object-oriented Perl interface for Apache's C language
API.  The end result is a quicker CGI script turnaround process, since
no external Perl interpreter has to be started.

Install mod_perl if you're installing the Apache web server and you'd
like for it to directly incorporate a Perl interpreter.

%prep
%setup -q
%patch0 -p1 -b .rh

%build
CFLAGS="$RPM_OPT_FLAGS" PERL_OPTIMIZE="-O2 -march=%{_arch} -fno-strength-reduce" \
	APACHE_SRC_DEFAULT=../apache_1.3.14/src \
	perl Makefile.PL USE_APXS=1 WITH_APXS=%{_sbindir}/apxs EVERYTHING=1
CFLAGS="$RPM_OPT_FLAGS" \
make PERL_OPTIMIZE="$CFLAGS" 

# Run the test suite.
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make pure_install PREFIX=$RPM_BUILD_ROOT%{_prefix}

# Install the module itself.
mkdir -p $RPM_BUILD_ROOT%{_libdir}/apache
install -c -m 755 apaci/libperl.so $RPM_BUILD_ROOT%{_libdir}/apache/

# Install its manual.
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/manual/mod/mod_perl
install -c -m 644 htdocs/manual/mod/mod_perl.html \
        $RPM_BUILD_ROOT%{contentdir}/html/manual/mod

make -C faq
rm faq/pod2htm*
install -m644 faq/*.html $RPM_BUILD_ROOT%{contentdir}/html/manual/mod/mod_perl/
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3
install -m444 -o root -g root blib/man3/*3pm $RPM_BUILD_ROOT%{_mandir}/man3


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CREDITS Changes README SUPPORT ToDo cgi_to_mod_perl.pod mod_perl.pod
%doc mod_perl_method_handlers.pod mod_perl_traps.pod mod_perl_tuning.pod
%doc INSTALL faq/*.html eg faq
%doc ToDo apache-modlist.html
%{contentdir}/html/manual/mod/*
%{_libdir}/apache/libperl.so
%{_libdir}/perl?/site_perl/*/*/auto/*
%{_libdir}/perl?/site_perl/*/*/Apache*
%{_libdir}/perl?/site_perl/*/*/Bundle/*
%{_libdir}/perl?/site_perl/*/*/cgi*
%{_libdir}/perl?/site_perl/*/*/mod_perl*
%doc %{_mandir}/man3/*.3*

%changelog
* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).
  - Make PERL_OPTIMIZE use CFLAGS.

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.24, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).

* Fri Dec 01 2000 Dave Wreski <dave@guardiandigital.com>
- fixed PERL_OPTIMIZE problem
- fixed blib man page problem

* Thu Nov 30 2000 Nick DeClario <nick@guardiandigital.com>
- many fixes and cleanups

* Mon Oct 02 2000 Nick DeClario <nick@guardiandigital.com>
- initial version from RH

